Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.presence.sip.impl
Interface PresenceMBean

public interface PresenceMBean

Runtime MBean to configure the Presence plugin.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static int` | `defaultNotificationCount` The default notification count value.
`static int` | `defaultNotificationDuration` The value(seconds) of the default notification duration.
`static int` | `notificationCleanupTimerValue` The value(seconds) of the timer used for checking and cleanup of old notifications.
`static String` | `SIPNodePassword` The password used in the JNDI lookup of WLSS.
`static String` | `SIPNodeUrl` The URL to the WLSS, typically t3://127.0.0.1:7001.
`static String` | `SIPNodeUsername` The username used in the JNDI lookup of WLSS.
`static int` | `subscriptionCleanupTimerValue` The value(seconds) of the timer used for checking and cleanup of old subscriptions.

Method Summary
`void` | `clearCache(String cacheToClear)` Clears one or all caches.
`boolean` | `connectToWLSS()` Will lookup the PresenceConsumer EJB on the WLSS side of the plugin.
`String` | `getApplicationInstance(String uri)` Get the application instance ID associated to the supplied URI.
`String` | `getApplicationInstanceSIPURI(String applicationInstanceID)` Get the URI associated to the supplied application instance ID.
`int` | `getDefaultNotificationCount()`
`int` | `getDefaultNotificationDuration()`
`int` | `getNotificationCleanupTimerValue()` Get the value of the timer used for checking and cleanup of old notifications.
`String` | `getSIPNodePassword()` Gets the JNDI password to access the SIP server.
`String` | `getSIPNodeUrl()` Gets the SIP server JNDI URL.
`String` | `getSIPNodeUsername()` Gets the JNDI user name to access the SIP server.
`int` | `getSubscriptionCleanupTimerValue()` Get the value of the timer used for checking and cleanup of old subscriptions.
`String[]` | `listNotificationsCache()` Debug operation left for troubleshooting.
`String[]` | `listSubscriptionsCache()` Debug operation left for troubleshooting.
`String[]` | `listURIMappingCache()` Debug operation left for troubleshooting.
`void` | `removeApplicationInstanceFromCache(String applicationInstanceID)` Removes entries that are associated to the supplied applicationInstanceID Use this method to remove any cache information we might have on an application instance that has been deleted.
`void` | `removeNotification(String applicationInstanceID, String presentity)` Removes a notification.
`void` | `removeSubscription(String applicationInstanceID, String presentity)` Removes a subscription and notification if there is one.
`void` | `setApplicationInstanceSIPURI(String applicationInstanceID, String URI)` Associate a sip URI to an application instance.
`void` | `setDefaultNotificationCount(int count)`
`void` | `setDefaultNotificationDuration(int seconds)`
`void` | `setNotificationCleanupTimerValue(int seconds)` Set the value of the timer used for checking and cleanup of old notifications.
`void` | `setSIPNodePassword(String password)` Sets the JNDI password to access the SIP server.
`void` | `setSIPNodeUrl(String url)` Sets the SIP server JNDI URL.
`void` | `setSIPNodeUsername(String username)` Sets the JNDI user name to access the SIP server.
`void` | `setSubscriptionCleanupTimerValue(int seconds)` Set the value of the timer used for checking and cleanup of old subscriptions.

Field Detail

### defaultNotificationCount

    public static final int defaultNotificationCount

  The default notification count value. This value is used if none is provided in startNotification. Format: int [>1]

  See Also:
    Constant Field Values

### defaultNotificationDuration

    public static final int defaultNotificationDuration

  The value(seconds) of the default notification duration. This value is used if none is provided in startNotification. Example values: 86400s = 1 day, 604800s = 1 week Format: int [>10]

  See Also:
    Constant Field Values

### notificationCleanupTimerValue

    public static final int notificationCleanupTimerValue

  The value(seconds) of the timer used for checking and cleanup of old notifications. Each time the timer expires, it will initiate a check for old notifications. If an old notification is found during the check it will be removed internally and a statusEnd-callback will be made to the application. Format: int [>10]

  See Also:
    Constant Field Values

### SIPNodePassword

    public static final String SIPNodePassword

  The password used in the JNDI lookup of WLSS. Note: You need to invoke connectToWLSS to make the change take effect

  See Also:
    Constant Field Values

### SIPNodeUrl

    public static final String SIPNodeUrl

  The URL to the WLSS, typically t3://127.0.0.1:7001. Note: You need to invoke connectToWLSS to make the change take effect

  See Also:
    Constant Field Values

### SIPNodeUsername

    public static final String SIPNodeUsername

  The username used in the JNDI lookup of WLSS. Note: You need to invoke connectToWLSS to make the change take effect

  See Also:
    Constant Field Values

### subscriptionCleanupTimerValue

    public static final int subscriptionCleanupTimerValue

  The value(seconds) of the timer used for checking and cleanup of old subscriptions. Each time the timer expires, it will initiate a check for old subscriptions. If an old subscription is found during the check it will be removed internally and callback(s) will be made to the client. Format: int [>10]

  See Also:
    Constant Field Values

Method Detail

### clearCache

    public void clearCache(String cacheToClear)
                    throws ManagementException

  Clears one or all caches. Use with caution!

  Parameters:
    `cacheToClear` - is the cache to clear. Valid options {NOTIFICATIONS,SUBSCRIPTIONS,URIMAPPINGS,ALL} ie. invoking this method with ALL will clear all caches.
  Throws:
    `ManagementException`

### connectToWLSS

    public boolean connectToWLSS()

  Will lookup the PresenceConsumer EJB on the WLSS side of the plugin. Note: this method will return true even if trust isn't enabled between the WLNG and WLSS domain. See WLS documentation on how to enable trust

  Returns:
    true if successful or false if lookup failed

### getApplicationInstance

    public String getApplicationInstance(String uri)
                                  throws StorageException

  Get the application instance ID associated to the supplied URI.

  Parameters:
    `uri` -
  Throws:
    `StorageException` - if the underlying storage facility fails.

### getApplicationInstanceSIPURI

    public String getApplicationInstanceSIPURI(String applicationInstanceID)
                                        throws StorageException

  Get the URI associated to the supplied application instance ID.

  Parameters:
    `applicationInstanceID` - The application instance ID.
  Throws:
    `StorageException` - if the underlying storage facility fails.

### getDefaultNotificationCount

    public int getDefaultNotificationCount()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getDefaultNotificationDuration

    public int getDefaultNotificationDuration()
                                       throws ManagementException

  Throws:
    `ManagementException`

### getNotificationCleanupTimerValue

    public int getNotificationCleanupTimerValue()

  Get the value of the timer used for checking and cleanup of old notifications.

  Returns:

### getSIPNodePassword

    public String getSIPNodePassword()

  Gets the JNDI password to access the SIP server.

  Returns:

### getSIPNodeUrl

    public String getSIPNodeUrl()

  Gets the SIP server JNDI URL.

  Returns:

### getSIPNodeUsername

    public String getSIPNodeUsername()

  Gets the JNDI user name to access the SIP server.

  Returns:

### getSubscriptionCleanupTimerValue

    public int getSubscriptionCleanupTimerValue()

  Get the value of the timer used for checking and cleanup of old subscriptions.

  Returns:

### listNotificationsCache

    public String[] listNotificationsCache()
                                    throws ManagementException

  Debug operation left for troubleshooting. Note: Use with causion, will list data from all entries in the Notification cache! The data is returned in a String array, and the returned data contains TODO: specify ie: TODO: show example

  Throws:
    `OAMException` - if lookup failed
    `ManagementException`

### listSubscriptionsCache

    public String[] listSubscriptionsCache()
                                    throws ManagementException

  Debug operation left for troubleshooting. Note: Use with causion, will list data from all entries in the Subscription cache! The data is returned in a String array, and the returned data contains URI, applicationInstanceID and pending flag. ie: uri: uri: sip:460001@bea.com applicationInstanceID: app_inst_1a pending: false

  Throws:
    `OAMException` - if lookup failed
    `ManagementException`

### listURIMappingCache

    public String[] listURIMappingCache()
                                 throws ManagementException

  Debug operation left for troubleshooting. Note: Use with causion, will list data from all entries in the URI mappings cache! The data is returned in a String array, and the returned data contains URI and applicationInstanceID. ie: uri: sip:app_inst_1a@bea.com applicationInstanceID: app_inst_1a

  Throws:
    `OAMException` - if lookup failed
    `ManagementException`

### removeApplicationInstanceFromCache

    public void removeApplicationInstanceFromCache(String applicationInstanceID)
                                            throws ManagementException

  Removes entries that are associated to the supplied applicationInstanceID Use this method to remove any cache information we might have on an application instance that has been deleted.

  Parameters:
    `applicationInstanceID` - the application instance ID
  Throws:
    `OAMException`
    `ManagementException`

### removeNotification

    public void removeNotification(String applicationInstanceID,
                                   String presentity)
                            throws ManagementException

  Removes a notification. Note that no callback will be made to the application when using this method.

  Parameters:
    `applicationInstanceID` - the application instance ID that identifies this subscription
    `presentity` - presentity
  Throws:
    `OAMException` - is operation is not successful
    `ManagementException`

### removeSubscription

    public void removeSubscription(String applicationInstanceID,
                                   String presentity)
                            throws ManagementException

  Removes a subscription and notification if there is one. Note that no callback will be made to the application when using this method.

  Parameters:
    `applicationInstanceID` - the application instance ID that identifies this subscription
    `presentity` - presentity
  Throws:
    `OAMException` - if operation is not successful
    `ManagementException`

### setApplicationInstanceSIPURI

    public void setApplicationInstanceSIPURI(String applicationInstanceID,
                                             String URI)
                                      throws StorageException,
                                             URISyntaxException

  Associate a sip URI to an application instance.

  Parameters:
    `applicationInstanceID` - The application instance ID.
    `URI` -
  Throws:
    `URISyntaxException`
    `StorageException` - if the sip URI is already associated with another application instance or if the underlying storage facility fails.

### setDefaultNotificationCount

    public void setDefaultNotificationCount(int count)
                                     throws ManagementException

  Throws:
    `ManagementException`

### setDefaultNotificationDuration

    public void setDefaultNotificationDuration(int seconds)
                                        throws ManagementException

  Throws:
    `ManagementException`

### setNotificationCleanupTimerValue

    public void setNotificationCleanupTimerValue(int seconds)
                                          throws ManagementException

  Set the value of the timer used for checking and cleanup of old notifications. The value is in seconds.

  Throws:
    `ManagementException`

### setSIPNodePassword

    public void setSIPNodePassword(String password)

  Sets the JNDI password to access the SIP server. Note: You need to invoke connectToWLSS to make the change take effect

  Parameters:
    `password` - the password.

### setSIPNodeUrl

    public void setSIPNodeUrl(String url)

  Sets the SIP server JNDI URL. Note: You need to invoke connectToWLSS to make the change take effect

  Parameters:
    `url` - SIP server JNDI URL

### setSIPNodeUsername

    public void setSIPNodeUsername(String username)

  Sets the JNDI user name to access the SIP server. Note: You need to invoke connectToWLSS to make the change take effect

  Parameters:
    `username` - the user name.

### setSubscriptionCleanupTimerValue

    public void setSubscriptionCleanupTimerValue(int seconds)
                                          throws ManagementException

  Set the value of the timer used for checking and cleanup of old subscriptions. The value is in seconds.

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD